package cache

import (
	"dc_golang_server_1/data_db_cache/model"
	"dc_golang_server_1/logger"
	"fmt"
	"go.uber.org/zap"
	"time"
)

func initFamilyNumToSimInfoMap() {
	fmt.Println(time.Now(), "cache: initFamilyNumToSimInfoMap begin")

	fmt.Println(time.Now(), "cache: initFamilyNumToSimInfoMap end")
}

func GetSimInfo(cardId string) model.CacheSimInfoStruct {
	if s, ok := simInfoMap.Load(cardId); ok { // map有
		if family, ok4 := s.(model.CacheSimInfoStruct); ok4 { //类型断言正确
			return family
		} else { //类型断言失败
			simInfoMap.Delete(cardId)
			logger.Log.Error("simInfoMap 类型断言错误",
				zap.String("cardId", cardId),
				zap.String("src", "GetSimInfo"))
		}
	} else {
		logger.Log.Warn("simInfoMap 里面居然没有数据",
			zap.String("cardId", cardId),
			zap.String("src", "GetSimInfo"))
	}

	var temp model.CacheSimInfoStruct
	//// todoN 再去查一盘库
	return temp
}

// AddSimMonthTalkMinutes 缓存里增加本月通话分钟数
func AddSimMonthTalkMinutes(AreaId int32, CardId string) {

}
